Sso\WebserviceBundle\Entity\ServiceProvider\Type\Service:
    type: entity
    table: wssp_services
    id:
        ServiceId:
            type: integer
            nullable: false
            id: true
            column: ServiceId
            generator:
                strategy: AUTO
    fields:
        ServiceType:
            type: string
            nullable: false
            length: 100
            fixed: false
            column: ServiceType
        ServiceController:
            type: string
            nullable: false
            length: 100
            fixed: false
            column: ServiceController
        ServiceAction:
            type: string
            nullable: false
            length: 100
            fixed: false
            column: ServiceAction
        ServiceMapped2Group:
            type: string
            nullable: false
            length: 100
            fixed: false
            column: ServiceMapped2Group
    manyToMany:
        ServiceNames:
            targetEntity: ServiceName
            mappedBy: Services
    lifecycleCallbacks: {  }
